org.mariadb.jdbc.internal.packet.dao.parameters

## Class TimeParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.NotLongDataParameter
  - - org.mariadb.jdbc.internal.packet.dao.parameters.TimeParameter

All Implemented Interfaces:
  Cloneable, ParameterHolder

    public class TimeParameter
    extends NotLongDataParameter
    implements Cloneable

### Constructor Summary

Constructors
Constructor and Description
`TimeParameter(Time time, Calendar cal, boolean fractionalSeconds)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getApproximateTextProtocolLength()`
`MariaDbType` `getMariaDbType()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream writeBuffer)` Write time in binary format.
`void` `writeTo(PacketOutputStream os)` Write Time parameter to outputStream.
`void` `writeUnsafeTo(PacketOutputStream os)` Write time parameter to outputStream without checking buffer size.

### Methods inherited from class org.mariadb.jdbc.internal.packet.dao.parameters.NotLongDataParameter

`isLongData, isNullData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TimeParameter

    public TimeParameter(Time time,
                         Calendar cal,
                         boolean fractionalSeconds)

Constructor.

Parameters:
  `time` - time to write
  `cal` - session calendar
  `fractionalSeconds` - must fractional seconds be send.

### Method Detail

#### writeTo

    public void writeTo(PacketOutputStream os)

Write Time parameter to outputStream.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `os` - the stream to write to

#### writeUnsafeTo

    public void writeUnsafeTo(PacketOutputStream os)

Write time parameter to outputStream without checking buffer size.

Specified by:
  `writeUnsafeTo` in interface `ParameterHolder`
Parameters:
  `os` - the stream to write to

#### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()
                                          throws IOException

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`
Throws:
  `IOException`

#### writeBinary

    public void writeBinary(PacketOutputStream writeBuffer)

Write time in binary format.

Specified by:
  `writeBinary` in class `NotLongDataParameter`
Parameters:
  `writeBuffer` - write buffer

#### getMariaDbType

    public MariaDbType getMariaDbType()

Specified by:
  `getMariaDbType` in interface `ParameterHolder`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`